Page MenuHomePhabricator

Create policy projects and convert people projects to open
Closed, ResolvedPublic

Description

The Phabricator team has decided to shuffle how we arrange projects used for ACL permissions in order to better reflect how people interact with projects and track tasks. Right now the dual usage of "people" projects and policy objects unnecessarily restricts watchers leaving some people who want to follow and help out in an awkward state.

Examples where we are encountering this:

Operations - FIXED - migration of #acl*operations-team and creation of Operations complete.
Phabricator
Fundraising-Backlog

Some discussion in:

Event Timeline

chasemp created this task.Feb 23 2015, 9:34 PM
chasemp raised the priority of this task from to Normal.
chasemp updated the task description. (Show Details)
chasemp added a project: Phabricator.
chasemp added a subscriber: chasemp.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptFeb 23 2015, 9:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
chasemp updated the task description. (Show Details)Feb 23 2015, 9:35 PM
chasemp set Security to None.
Qgil added a subscriber: Qgil.
Aklapper updated the task description. (Show Details)Mar 3 2015, 12:40 PM

Afterwards, need to update https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Type_of_project to list acl* with Policy+Red and to adjust reality to the rules anyway (Need to kill the use of Flag+Green which is partially my fault; should be a default briefcase one and archived when done if it's not an epic anyway).

Afterwards, need to update https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Type_of_project to list acl* with Policy+Red and to adjust reality to the rules anyway (Need to kill the use of Flag+Green which is partially my fault; should be a default briefcase one and archived when done if it's not an epic anyway).

agreed on the first point, need to update that in general. I have a task for it somewhere...disagree on the death of the flag :D Willing to chat about it before we drop the hammer? (hangout)

greg added a subscriber: greg.Mar 19 2015, 9:10 PM
greg added a comment.Mar 19 2015, 9:16 PM

The way launchpad dealt with this was just by having separate teams.
Example:

  • Anyone could just projectX and watch the bugs, join the mailing list, whatever
  • Joining projectX-committers was limited to invite only.

This proves useful when you have people trying to understand what's going on when they want to participate in a project (they join that project, like everyone else) but separates out the policy-bits without colliding in the namespace.

greg added a comment.Mar 19 2015, 9:25 PM

The way launchpad dealt with this was just by having separate teams.

....which looks like what this task is meant to do. Ignore me.

/me moves along

chasemp raised the priority of this task from Normal to High.Mar 23 2015, 4:35 PM

legit high I think

Maybe I'm late in the discussion here and you guys are set - but prefixing the Project with acl* moves it to the top of the list of projects a user is a member of (particularly in Dashboard panels). This strikes me as a usability issue as it's going to be the project a user interacts with the least and is taking up valuable real estate.

I would suggest that projects such as this that are not super active use naming conventions that move them to the bottom of alphabetized list.

Maybe I'm late in the discussion here and you guys are set - but prefixing the Project with acl* moves it to the top of the list of projects a user is a member of (particularly in Dashboard panels). This strikes me as a usability issue as it's going to be the project a user interacts with the least and is taking up valuable real estate.
I would suggest that projects such as this that are not super active use naming conventions that move them to the bottom of alphabetized list.

Thought about it a bit, idk about doing zacl to artificially lower it in people's project list. This is kind of a fuzzy thing atm anyway, and limited subset are going to end up with acl duties. I never really use the "what projects am I in" interface so it had not occurred to me.

It's certainly not the end of the world, but my team for sure mostly uses the "projects I am in" on the dashboard. We have a lot of projects spread among fundraising.

prefixing the Project with acl* moves it to the top of the list of projects a user is a member of (particularly in Dashboard panels).

Dedicated task for tackling that: T95950: List acl* projects at the bottom of project lists

mmodell lowered the priority of this task from High to Normal.Jul 7 2015, 2:44 PM
mmodell moved this task from To Triage to Misc on the Phabricator board.
Restricted Application added subscribers: Matanya, scfc. · View Herald TranscriptJul 7 2015, 2:44 PM
Aklapper moved this task from Misc to Ready to Go on the Phabricator board.Aug 29 2015, 10:59 AM
RobH added a subscriber: RobH.Sep 4 2015, 9:43 PM
RobH updated the task description. (Show Details)Jan 6 2016, 8:51 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 6 2016, 8:51 PM
Qgil removed a subscriber: Qgil.Feb 15 2016, 9:53 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 12 2016, 8:25 PM
chasemp closed this task as Resolved.Jul 19 2018, 2:47 AM
chasemp claimed this task.